### Property

# Soup Session:accept-language-auto

#### Declaration

    property accept-language-auto: gboolean [ read, write ]

#### Description [src]

If `TRUE`, `SoupSession` will automatically set the string for the “Accept-Language” header on every `SoupMessage` sent, based on the return value of `g_get_language_names()`.

Setting this will override any previous value of `SoupSession:accept-language`.

Type: | `gboolean`

Getter method | `soup_session_get_accept_language_auto()`
Setter method | `soup_session_set_accept_language_auto()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no